Loading...
Searching...
No Matches
conf.c File Reference
Rig (transceiver) API

Rig configuration interface. More...

`#include "hamlib/config.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <strings.h>`
`#include "hamlib/rig.h"`
`#include "hamlib/port.h"`
`#include "hamlib/rig_state.h"`
`#include "token.h"`
`#include "serial_cfg_params.h"`
Include dependency graph for conf.c:

## Functions

int | rig_token_foreach (RIG *rig, int(*cfunc)(const struct confparams *, rig_ptr_t), rig_ptr_t data)
| call a function against each configuration token of a rig
const struct confparams * | rig_confparam_lookup (RIG *rig, const char *name)
| lookup a confparam struct
hamlib_token_t | rig_token_lookup (RIG *rig, const char *name)
| lookup a token id
int | rig_set_conf (RIG *rig, hamlib_token_t token, const char *val)
| set a radio configuration parameter
int | rig_get_conf (RIG *rig, hamlib_token_t token, char *val)
| get the value of a configuration parameter
int | rig_get_conf2 (RIG *rig, hamlib_token_t token, char *val, int val_len)

## Detailed Description

Rig configuration interface.

Author
  Stephane Fillod

Date
  2000-2012